Subject: [bug#39576] qdbm: fix segfault during test

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 12 Feb 2020 18:52:20 +0100

Thomas,

Thomas Danckaert 写道：
> at some point, the package qdbm started running into a segfault 
> during the test suite.   This small patch fixes that.
>
> If it's ok, I can push the commit myself (I believe I still have 
> commit rights), but since I haven't contributed in 2 years, I 
> wanted 
> to check if the patch meets all the requirements...

Glad to hear you're still a Guixer.

You're listed as ‘inactive’[0], but TBH I don't know what that 
means.  If you're unable to push and/or interested in reactivating 
your account, let us know.

> -     `( #:configure-flags (list (string-append 
> "LDFLAGS=-Wl,-rpath="
> -                                               (assoc-ref 
> %outputs "out")
> -                                               "/lib"))))
> +     `(#:configure-flags (list (string-append 
> "LDFLAGS=-Wl,-rpath="
> +                                              (assoc-ref 
> %outputs "out")
> +                                              "/lib"))

I'd add a short ‘Fix a segmentation fault in the test suite’ 
comment here.

> +       #:make-flags '("CFLAGS=-fPIC")))

Sticking to one idiom (list …) is slightly newbie-friendlier, but 
LGTM either way.

Thanks!

T G-R

[0]: https://savannah.gnu.org/project/memberlist.php?group=guix